Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network1.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
1.0.0.0
Broadcast address
1.255.255.255
First usable
1.0.0.1
Last usable
1.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 01000000 · Integer 16777216 to 33554431
Reverse DNS zone
1.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000001..00000000.00000000.000000001.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00000001..00000000.00000000.000000001.0.0.0
Broadcast00000001..11111111.11111111.111111111.255.255.255
Split into smaller subnets/19

1.0.0.0/8 makes 2,048 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
11.0.0.0/191.0.0.1 to 1.0.31.2541.0.31.2558,190
21.0.32.0/191.0.32.1 to 1.0.63.2541.0.63.2558,190
31.0.64.0/191.0.64.1 to 1.0.95.2541.0.95.2558,190
41.0.96.0/191.0.96.1 to 1.0.127.2541.0.127.2558,190
51.0.128.0/191.0.128.1 to 1.0.159.2541.0.159.2558,190
61.0.160.0/191.0.160.1 to 1.0.191.2541.0.191.2558,190
71.0.192.0/191.0.192.1 to 1.0.223.2541.0.223.2558,190
81.0.224.0/191.0.224.1 to 1.0.255.2541.0.255.2558,190
91.1.0.0/191.1.0.1 to 1.1.31.2541.1.31.2558,190
101.1.32.0/191.1.32.1 to 1.1.63.2541.1.63.2558,190
111.1.64.0/191.1.64.1 to 1.1.95.2541.1.95.2558,190
121.1.96.0/191.1.96.1 to 1.1.127.2541.1.127.2558,190
131.1.128.0/191.1.128.1 to 1.1.159.2541.1.159.2558,190
141.1.160.0/191.1.160.1 to 1.1.191.2541.1.191.2558,190
151.1.192.0/191.1.192.1 to 1.1.223.2541.1.223.2558,190
161.1.224.0/191.1.224.1 to 1.1.255.2541.1.255.2558,190
171.2.0.0/191.2.0.1 to 1.2.31.2541.2.31.2558,190
181.2.32.0/191.2.32.1 to 1.2.63.2541.2.63.2558,190
191.2.64.0/191.2.64.1 to 1.2.95.2541.2.95.2558,190
201.2.96.0/191.2.96.1 to 1.2.127.2541.2.127.2558,190
211.2.128.0/191.2.128.1 to 1.2.159.2541.2.159.2558,190
221.2.160.0/191.2.160.1 to 1.2.191.2541.2.191.2558,190
231.2.192.0/191.2.192.1 to 1.2.223.2541.2.223.2558,190
241.2.224.0/191.2.224.1 to 1.2.255.2541.2.255.2558,190
251.3.0.0/191.3.0.1 to 1.3.31.2541.3.31.2558,190
261.3.32.0/191.3.32.1 to 1.3.63.2541.3.63.2558,190
271.3.64.0/191.3.64.1 to 1.3.95.2541.3.95.2558,190
281.3.96.0/191.3.96.1 to 1.3.127.2541.3.127.2558,190
291.3.128.0/191.3.128.1 to 1.3.159.2541.3.159.2558,190
301.3.160.0/191.3.160.1 to 1.3.191.2541.3.191.2558,190
311.3.192.0/191.3.192.1 to 1.3.223.2541.3.223.2558,190
321.3.224.0/191.3.224.1 to 1.3.255.2541.3.255.2558,190
331.4.0.0/191.4.0.1 to 1.4.31.2541.4.31.2558,190
341.4.32.0/191.4.32.1 to 1.4.63.2541.4.63.2558,190
351.4.64.0/191.4.64.1 to 1.4.95.2541.4.95.2558,190
361.4.96.0/191.4.96.1 to 1.4.127.2541.4.127.2558,190
371.4.128.0/191.4.128.1 to 1.4.159.2541.4.159.2558,190
381.4.160.0/191.4.160.1 to 1.4.191.2541.4.191.2558,190
391.4.192.0/191.4.192.1 to 1.4.223.2541.4.223.2558,190
401.4.224.0/191.4.224.1 to 1.4.255.2541.4.255.2558,190
411.5.0.0/191.5.0.1 to 1.5.31.2541.5.31.2558,190
421.5.32.0/191.5.32.1 to 1.5.63.2541.5.63.2558,190
431.5.64.0/191.5.64.1 to 1.5.95.2541.5.95.2558,190
441.5.96.0/191.5.96.1 to 1.5.127.2541.5.127.2558,190
451.5.128.0/191.5.128.1 to 1.5.159.2541.5.159.2558,190
461.5.160.0/191.5.160.1 to 1.5.191.2541.5.191.2558,190
471.5.192.0/191.5.192.1 to 1.5.223.2541.5.223.2558,190
481.5.224.0/191.5.224.1 to 1.5.255.2541.5.255.2558,190
491.6.0.0/191.6.0.1 to 1.6.31.2541.6.31.2558,190
501.6.32.0/191.6.32.1 to 1.6.63.2541.6.63.2558,190
511.6.64.0/191.6.64.1 to 1.6.95.2541.6.95.2558,190
521.6.96.0/191.6.96.1 to 1.6.127.2541.6.127.2558,190
531.6.128.0/191.6.128.1 to 1.6.159.2541.6.159.2558,190
541.6.160.0/191.6.160.1 to 1.6.191.2541.6.191.2558,190
551.6.192.0/191.6.192.1 to 1.6.223.2541.6.223.2558,190
561.6.224.0/191.6.224.1 to 1.6.255.2541.6.255.2558,190
571.7.0.0/191.7.0.1 to 1.7.31.2541.7.31.2558,190
581.7.32.0/191.7.32.1 to 1.7.63.2541.7.63.2558,190
591.7.64.0/191.7.64.1 to 1.7.95.2541.7.95.2558,190
601.7.96.0/191.7.96.1 to 1.7.127.2541.7.127.2558,190
611.7.128.0/191.7.128.1 to 1.7.159.2541.7.159.2558,190
621.7.160.0/191.7.160.1 to 1.7.191.2541.7.191.2558,190
631.7.192.0/191.7.192.1 to 1.7.223.2541.7.223.2558,190
641.7.224.0/191.7.224.1 to 1.7.255.2541.7.255.2558,190
651.8.0.0/191.8.0.1 to 1.8.31.2541.8.31.2558,190
661.8.32.0/191.8.32.1 to 1.8.63.2541.8.63.2558,190
671.8.64.0/191.8.64.1 to 1.8.95.2541.8.95.2558,190
681.8.96.0/191.8.96.1 to 1.8.127.2541.8.127.2558,190
691.8.128.0/191.8.128.1 to 1.8.159.2541.8.159.2558,190
701.8.160.0/191.8.160.1 to 1.8.191.2541.8.191.2558,190
711.8.192.0/191.8.192.1 to 1.8.223.2541.8.223.2558,190
721.8.224.0/191.8.224.1 to 1.8.255.2541.8.255.2558,190
731.9.0.0/191.9.0.1 to 1.9.31.2541.9.31.2558,190
741.9.32.0/191.9.32.1 to 1.9.63.2541.9.63.2558,190
751.9.64.0/191.9.64.1 to 1.9.95.2541.9.95.2558,190
761.9.96.0/191.9.96.1 to 1.9.127.2541.9.127.2558,190
771.9.128.0/191.9.128.1 to 1.9.159.2541.9.159.2558,190
781.9.160.0/191.9.160.1 to 1.9.191.2541.9.191.2558,190
791.9.192.0/191.9.192.1 to 1.9.223.2541.9.223.2558,190
801.9.224.0/191.9.224.1 to 1.9.255.2541.9.255.2558,190
811.10.0.0/191.10.0.1 to 1.10.31.2541.10.31.2558,190
821.10.32.0/191.10.32.1 to 1.10.63.2541.10.63.2558,190
831.10.64.0/191.10.64.1 to 1.10.95.2541.10.95.2558,190
841.10.96.0/191.10.96.1 to 1.10.127.2541.10.127.2558,190
851.10.128.0/191.10.128.1 to 1.10.159.2541.10.159.2558,190
861.10.160.0/191.10.160.1 to 1.10.191.2541.10.191.2558,190
871.10.192.0/191.10.192.1 to 1.10.223.2541.10.223.2558,190
881.10.224.0/191.10.224.1 to 1.10.255.2541.10.255.2558,190
891.11.0.0/191.11.0.1 to 1.11.31.2541.11.31.2558,190
901.11.32.0/191.11.32.1 to 1.11.63.2541.11.63.2558,190
911.11.64.0/191.11.64.1 to 1.11.95.2541.11.95.2558,190
921.11.96.0/191.11.96.1 to 1.11.127.2541.11.127.2558,190
931.11.128.0/191.11.128.1 to 1.11.159.2541.11.159.2558,190
941.11.160.0/191.11.160.1 to 1.11.191.2541.11.191.2558,190
951.11.192.0/191.11.192.1 to 1.11.223.2541.11.223.2558,190
961.11.224.0/191.11.224.1 to 1.11.255.2541.11.255.2558,190
971.12.0.0/191.12.0.1 to 1.12.31.2541.12.31.2558,190
981.12.32.0/191.12.32.1 to 1.12.63.2541.12.63.2558,190
991.12.64.0/191.12.64.1 to 1.12.95.2541.12.95.2558,190
1001.12.96.0/191.12.96.1 to 1.12.127.2541.12.127.2558,190
1011.12.128.0/191.12.128.1 to 1.12.159.2541.12.159.2558,190
1021.12.160.0/191.12.160.1 to 1.12.191.2541.12.191.2558,190
1031.12.192.0/191.12.192.1 to 1.12.223.2541.12.223.2558,190
1041.12.224.0/191.12.224.1 to 1.12.255.2541.12.255.2558,190
1051.13.0.0/191.13.0.1 to 1.13.31.2541.13.31.2558,190
1061.13.32.0/191.13.32.1 to 1.13.63.2541.13.63.2558,190
1071.13.64.0/191.13.64.1 to 1.13.95.2541.13.95.2558,190
1081.13.96.0/191.13.96.1 to 1.13.127.2541.13.127.2558,190
1091.13.128.0/191.13.128.1 to 1.13.159.2541.13.159.2558,190
1101.13.160.0/191.13.160.1 to 1.13.191.2541.13.191.2558,190
1111.13.192.0/191.13.192.1 to 1.13.223.2541.13.223.2558,190
1121.13.224.0/191.13.224.1 to 1.13.255.2541.13.255.2558,190
1131.14.0.0/191.14.0.1 to 1.14.31.2541.14.31.2558,190
1141.14.32.0/191.14.32.1 to 1.14.63.2541.14.63.2558,190
1151.14.64.0/191.14.64.1 to 1.14.95.2541.14.95.2558,190
1161.14.96.0/191.14.96.1 to 1.14.127.2541.14.127.2558,190
1171.14.128.0/191.14.128.1 to 1.14.159.2541.14.159.2558,190
1181.14.160.0/191.14.160.1 to 1.14.191.2541.14.191.2558,190
1191.14.192.0/191.14.192.1 to 1.14.223.2541.14.223.2558,190
1201.14.224.0/191.14.224.1 to 1.14.255.2541.14.255.2558,190
1211.15.0.0/191.15.0.1 to 1.15.31.2541.15.31.2558,190
1221.15.32.0/191.15.32.1 to 1.15.63.2541.15.63.2558,190
1231.15.64.0/191.15.64.1 to 1.15.95.2541.15.95.2558,190
1241.15.96.0/191.15.96.1 to 1.15.127.2541.15.127.2558,190
1251.15.128.0/191.15.128.1 to 1.15.159.2541.15.159.2558,190
1261.15.160.0/191.15.160.1 to 1.15.191.2541.15.191.2558,190
1271.15.192.0/191.15.192.1 to 1.15.223.2541.15.223.2558,190
1281.15.224.0/191.15.224.1 to 1.15.255.2541.15.255.2558,190
1291.16.0.0/191.16.0.1 to 1.16.31.2541.16.31.2558,190
1301.16.32.0/191.16.32.1 to 1.16.63.2541.16.63.2558,190
1311.16.64.0/191.16.64.1 to 1.16.95.2541.16.95.2558,190
1321.16.96.0/191.16.96.1 to 1.16.127.2541.16.127.2558,190
1331.16.128.0/191.16.128.1 to 1.16.159.2541.16.159.2558,190
1341.16.160.0/191.16.160.1 to 1.16.191.2541.16.191.2558,190
1351.16.192.0/191.16.192.1 to 1.16.223.2541.16.223.2558,190
1361.16.224.0/191.16.224.1 to 1.16.255.2541.16.255.2558,190
1371.17.0.0/191.17.0.1 to 1.17.31.2541.17.31.2558,190
1381.17.32.0/191.17.32.1 to 1.17.63.2541.17.63.2558,190
1391.17.64.0/191.17.64.1 to 1.17.95.2541.17.95.2558,190
1401.17.96.0/191.17.96.1 to 1.17.127.2541.17.127.2558,190
1411.17.128.0/191.17.128.1 to 1.17.159.2541.17.159.2558,190
1421.17.160.0/191.17.160.1 to 1.17.191.2541.17.191.2558,190
1431.17.192.0/191.17.192.1 to 1.17.223.2541.17.223.2558,190
1441.17.224.0/191.17.224.1 to 1.17.255.2541.17.255.2558,190
1451.18.0.0/191.18.0.1 to 1.18.31.2541.18.31.2558,190
1461.18.32.0/191.18.32.1 to 1.18.63.2541.18.63.2558,190
1471.18.64.0/191.18.64.1 to 1.18.95.2541.18.95.2558,190
1481.18.96.0/191.18.96.1 to 1.18.127.2541.18.127.2558,190
1491.18.128.0/191.18.128.1 to 1.18.159.2541.18.159.2558,190
1501.18.160.0/191.18.160.1 to 1.18.191.2541.18.191.2558,190
1511.18.192.0/191.18.192.1 to 1.18.223.2541.18.223.2558,190
1521.18.224.0/191.18.224.1 to 1.18.255.2541.18.255.2558,190
1531.19.0.0/191.19.0.1 to 1.19.31.2541.19.31.2558,190
1541.19.32.0/191.19.32.1 to 1.19.63.2541.19.63.2558,190
1551.19.64.0/191.19.64.1 to 1.19.95.2541.19.95.2558,190
1561.19.96.0/191.19.96.1 to 1.19.127.2541.19.127.2558,190
1571.19.128.0/191.19.128.1 to 1.19.159.2541.19.159.2558,190
1581.19.160.0/191.19.160.1 to 1.19.191.2541.19.191.2558,190
1591.19.192.0/191.19.192.1 to 1.19.223.2541.19.223.2558,190
1601.19.224.0/191.19.224.1 to 1.19.255.2541.19.255.2558,190
1611.20.0.0/191.20.0.1 to 1.20.31.2541.20.31.2558,190
1621.20.32.0/191.20.32.1 to 1.20.63.2541.20.63.2558,190
1631.20.64.0/191.20.64.1 to 1.20.95.2541.20.95.2558,190
1641.20.96.0/191.20.96.1 to 1.20.127.2541.20.127.2558,190
1651.20.128.0/191.20.128.1 to 1.20.159.2541.20.159.2558,190
1661.20.160.0/191.20.160.1 to 1.20.191.2541.20.191.2558,190
1671.20.192.0/191.20.192.1 to 1.20.223.2541.20.223.2558,190
1681.20.224.0/191.20.224.1 to 1.20.255.2541.20.255.2558,190
1691.21.0.0/191.21.0.1 to 1.21.31.2541.21.31.2558,190
1701.21.32.0/191.21.32.1 to 1.21.63.2541.21.63.2558,190
1711.21.64.0/191.21.64.1 to 1.21.95.2541.21.95.2558,190
1721.21.96.0/191.21.96.1 to 1.21.127.2541.21.127.2558,190
1731.21.128.0/191.21.128.1 to 1.21.159.2541.21.159.2558,190
1741.21.160.0/191.21.160.1 to 1.21.191.2541.21.191.2558,190
1751.21.192.0/191.21.192.1 to 1.21.223.2541.21.223.2558,190
1761.21.224.0/191.21.224.1 to 1.21.255.2541.21.255.2558,190
1771.22.0.0/191.22.0.1 to 1.22.31.2541.22.31.2558,190
1781.22.32.0/191.22.32.1 to 1.22.63.2541.22.63.2558,190
1791.22.64.0/191.22.64.1 to 1.22.95.2541.22.95.2558,190
1801.22.96.0/191.22.96.1 to 1.22.127.2541.22.127.2558,190
1811.22.128.0/191.22.128.1 to 1.22.159.2541.22.159.2558,190
1821.22.160.0/191.22.160.1 to 1.22.191.2541.22.191.2558,190
1831.22.192.0/191.22.192.1 to 1.22.223.2541.22.223.2558,190
1841.22.224.0/191.22.224.1 to 1.22.255.2541.22.255.2558,190
1851.23.0.0/191.23.0.1 to 1.23.31.2541.23.31.2558,190
1861.23.32.0/191.23.32.1 to 1.23.63.2541.23.63.2558,190
1871.23.64.0/191.23.64.1 to 1.23.95.2541.23.95.2558,190
1881.23.96.0/191.23.96.1 to 1.23.127.2541.23.127.2558,190
1891.23.128.0/191.23.128.1 to 1.23.159.2541.23.159.2558,190
1901.23.160.0/191.23.160.1 to 1.23.191.2541.23.191.2558,190
1911.23.192.0/191.23.192.1 to 1.23.223.2541.23.223.2558,190
1921.23.224.0/191.23.224.1 to 1.23.255.2541.23.255.2558,190
1931.24.0.0/191.24.0.1 to 1.24.31.2541.24.31.2558,190
1941.24.32.0/191.24.32.1 to 1.24.63.2541.24.63.2558,190
1951.24.64.0/191.24.64.1 to 1.24.95.2541.24.95.2558,190
1961.24.96.0/191.24.96.1 to 1.24.127.2541.24.127.2558,190
1971.24.128.0/191.24.128.1 to 1.24.159.2541.24.159.2558,190
1981.24.160.0/191.24.160.1 to 1.24.191.2541.24.191.2558,190
1991.24.192.0/191.24.192.1 to 1.24.223.2541.24.223.2558,190
2001.24.224.0/191.24.224.1 to 1.24.255.2541.24.255.2558,190
2011.25.0.0/191.25.0.1 to 1.25.31.2541.25.31.2558,190
2021.25.32.0/191.25.32.1 to 1.25.63.2541.25.63.2558,190
2031.25.64.0/191.25.64.1 to 1.25.95.2541.25.95.2558,190
2041.25.96.0/191.25.96.1 to 1.25.127.2541.25.127.2558,190
2051.25.128.0/191.25.128.1 to 1.25.159.2541.25.159.2558,190
2061.25.160.0/191.25.160.1 to 1.25.191.2541.25.191.2558,190
2071.25.192.0/191.25.192.1 to 1.25.223.2541.25.223.2558,190
2081.25.224.0/191.25.224.1 to 1.25.255.2541.25.255.2558,190
2091.26.0.0/191.26.0.1 to 1.26.31.2541.26.31.2558,190
2101.26.32.0/191.26.32.1 to 1.26.63.2541.26.63.2558,190
2111.26.64.0/191.26.64.1 to 1.26.95.2541.26.95.2558,190
2121.26.96.0/191.26.96.1 to 1.26.127.2541.26.127.2558,190
2131.26.128.0/191.26.128.1 to 1.26.159.2541.26.159.2558,190
2141.26.160.0/191.26.160.1 to 1.26.191.2541.26.191.2558,190
2151.26.192.0/191.26.192.1 to 1.26.223.2541.26.223.2558,190
2161.26.224.0/191.26.224.1 to 1.26.255.2541.26.255.2558,190
2171.27.0.0/191.27.0.1 to 1.27.31.2541.27.31.2558,190
2181.27.32.0/191.27.32.1 to 1.27.63.2541.27.63.2558,190
2191.27.64.0/191.27.64.1 to 1.27.95.2541.27.95.2558,190
2201.27.96.0/191.27.96.1 to 1.27.127.2541.27.127.2558,190
2211.27.128.0/191.27.128.1 to 1.27.159.2541.27.159.2558,190
2221.27.160.0/191.27.160.1 to 1.27.191.2541.27.191.2558,190
2231.27.192.0/191.27.192.1 to 1.27.223.2541.27.223.2558,190
2241.27.224.0/191.27.224.1 to 1.27.255.2541.27.255.2558,190
2251.28.0.0/191.28.0.1 to 1.28.31.2541.28.31.2558,190
2261.28.32.0/191.28.32.1 to 1.28.63.2541.28.63.2558,190
2271.28.64.0/191.28.64.1 to 1.28.95.2541.28.95.2558,190
2281.28.96.0/191.28.96.1 to 1.28.127.2541.28.127.2558,190
2291.28.128.0/191.28.128.1 to 1.28.159.2541.28.159.2558,190
2301.28.160.0/191.28.160.1 to 1.28.191.2541.28.191.2558,190
2311.28.192.0/191.28.192.1 to 1.28.223.2541.28.223.2558,190
2321.28.224.0/191.28.224.1 to 1.28.255.2541.28.255.2558,190
2331.29.0.0/191.29.0.1 to 1.29.31.2541.29.31.2558,190
2341.29.32.0/191.29.32.1 to 1.29.63.2541.29.63.2558,190
2351.29.64.0/191.29.64.1 to 1.29.95.2541.29.95.2558,190
2361.29.96.0/191.29.96.1 to 1.29.127.2541.29.127.2558,190
2371.29.128.0/191.29.128.1 to 1.29.159.2541.29.159.2558,190
2381.29.160.0/191.29.160.1 to 1.29.191.2541.29.191.2558,190
2391.29.192.0/191.29.192.1 to 1.29.223.2541.29.223.2558,190
2401.29.224.0/191.29.224.1 to 1.29.255.2541.29.255.2558,190
2411.30.0.0/191.30.0.1 to 1.30.31.2541.30.31.2558,190
2421.30.32.0/191.30.32.1 to 1.30.63.2541.30.63.2558,190
2431.30.64.0/191.30.64.1 to 1.30.95.2541.30.95.2558,190
2441.30.96.0/191.30.96.1 to 1.30.127.2541.30.127.2558,190
2451.30.128.0/191.30.128.1 to 1.30.159.2541.30.159.2558,190
2461.30.160.0/191.30.160.1 to 1.30.191.2541.30.191.2558,190
2471.30.192.0/191.30.192.1 to 1.30.223.2541.30.223.2558,190
2481.30.224.0/191.30.224.1 to 1.30.255.2541.30.255.2558,190
2491.31.0.0/191.31.0.1 to 1.31.31.2541.31.31.2558,190
2501.31.32.0/191.31.32.1 to 1.31.63.2541.31.63.2558,190
2511.31.64.0/191.31.64.1 to 1.31.95.2541.31.95.2558,190
2521.31.96.0/191.31.96.1 to 1.31.127.2541.31.127.2558,190
2531.31.128.0/191.31.128.1 to 1.31.159.2541.31.159.2558,190
2541.31.160.0/191.31.160.1 to 1.31.191.2541.31.191.2558,190
2551.31.192.0/191.31.192.1 to 1.31.223.2541.31.223.2558,190
2561.31.224.0/191.31.224.1 to 1.31.255.2541.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses